Care Team

A care team is a group of organization members that are working together to provide care to a patient.

The care team model

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the care team.

  • Name
    object
    Type
    string
    Description

    Always 'care_team'.

  • Name
    patient
    Type
    string
    Description

    Patient this care team is for.

  • Name
    members
    Type
    array of strings
    Description

    List of all the members in the care team.

  • Name
    created_by
    Type
    string
    Description

    Creator of the care team.

  • Name
    created_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the care team was created.

  • Name
    last_updated_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the care team was last updated.

Response

{
    "id": "crtm_2UxtAULYUrX7GVsTKePy",
    "object": "care_team",
    "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
    "members": ["user_IsW3SoxZQxW0agHKyP2V", "user_o14kEdLdUloOyS4RGkII"],
    "created_by": "user_xeDpGyt67wTor93qKtS7",
    "created_at": "2024-04-10T13:20:21.724Z",
    "last_updated_at": "2024-04-10T13:20:21.724Z"
}


POST/v2/care_teams

Create a care team

Creates a new care team.

Required attributes

  • Name
    patient
    Type
    string
    Description

    Patient this care team is for.

  • Name
    members
    Type
    array of strings
    Description

    List of all the members in the care team.

Optional attributes

    Request

    POST
    /v2/care_teams
    curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/care_teams" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "Content-Type: application/json" \
      --data '{
        "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
        "members": []
      }'
    

    Response

        {
            "id": "crtm_2UxtAULYUrX7GVsTKePy",
            "object": "care_team",
            "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
            "members": ["user_IsW3SoxZQxW0agHKyP2V", "user_o14kEdLdUloOyS4RGkII"],
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-10T13:20:21.724Z",
            "last_updated_at": "2024-04-10T13:20:21.724Z"
        }
    
    

    GET/v2/care_teams/:id

    Retrieve a care team

    Retrieves the specified care team.

    Request

    GET
    /v2/care_teams/:id
    curl "https://{{base_subdomain}}.avonhealth.com/v2/care_teams/:id" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}"
    

    Response

        {
            "id": "crtm_2UxtAULYUrX7GVsTKePy",
            "object": "care_team",
            "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
            "members": ["user_IsW3SoxZQxW0agHKyP2V", "user_o14kEdLdUloOyS4RGkII"],
            "created_by": "user_xeDpGyt67wTor93qKtS7",
            "created_at": "2024-04-10T13:20:21.724Z",
            "last_updated_at": "2024-04-10T13:20:21.724Z"
        }
    
    

    POST/v2/care_teams/:id

    Update a care team

    Updates the specified care team object by setting the values of the parameters passed. Any other parameters not provided will not be modified.

    Required attributes

    • Name
      new_members
      Type
      array of strings
      Description

      New members to add to the care team.

    • Name
      removed_members
      Type
      array of strings
      Description

      Members to remove from the care team.

    Optional attributes

      Request

      POST
      /v2/care_teams/:id
      curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/care_teams/:id" \
        -H "Authorization: Bearer {{token}}" \
        -H "x-jwt: {{jwt}}" \
        -H "Content-Type: application/json" \
        --data '{
          "new_members": [],
          "removed_members": []
        }'
      

      Response

      
          {
              "id": "crtm_2UxtAULYUrX7GVsTKePy",
              "object": "care_team",
              "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
              "members": ["user_IsW3SoxZQxW0agHKyP2V"],
              "created_by": "user_xeDpGyt67wTor93qKtS7",
              "created_at": "2024-04-10T13:20:21.724Z",
              "last_updated_at": "2024-04-10T13:20:21.724Z"
          }
      
      

      GET/v2/care_teams

      List all care teams

      Returns a list of all care teams.

      Optional query parameters

      • Name
        patient
        Type
        string
        Description

        Patient to filter by.

      Request

      GET
      /v2/care_teams
      curl "https://{{base_subdomain}}.avonhealth.com/v2/care_teams?patient=user_Z1zXZKvqrpwxbznuW6lJ" \
        -H "Authorization: Bearer {{token}}" \
        -H "x-jwt: {{jwt}}"
      

      Response

          {
            "object": "list",
            "data": [{
              "id": "crtm_2UxtAULYUrX7GVsTKePy",
              "object": "care_team",
              "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
              "members": ["user_IsW3SoxZQxW0agHKyP2V", "user_o14kEdLdUloOyS4RGkII"],
              "created_by": "user_xeDpGyt67wTor93qKtS7",
              "created_at": "2024-04-10T13:20:21.724Z",
              "last_updated_at": "2024-04-10T13:20:21.724Z"
            }]
          }